Article ID: 125367, created on Apr 30, 2015, last review on Apr 30, 2015

  • Applies to:
  • Plesk 10.4 for Linux/Unix


Upgrade to Plesk 10.4 fails with error:

ERROR: Unexpected 'St11logic_error' caught: basic_string::_S_construct NULL not valid


Not all microupdates are installed.


  1. Remove cache files in /var/cache/parallels_installer/

    # rm -rf /var/cache/parallels_installer/*
  2. Reinstall microupdates:

    /usr/local/psa/admin/sbin/autoinstaller --select-product-id plesk --select-release-current --reinstall-patch --install-component base

e8756e9388aeca36710ac39e739b2b37 56797cefb1efc9130f7c48a7d1db0f0c a914db3fdc7a53ddcfd1b2db8f5a1b9c 29d1e90fd304f01e6420fbe60f66f838 dd0611b6086474193d9bf78e2b293040

Email subscription for changes to this article
Save as PDF